<div id="wrapper" class="statcadre">
<canvas id="chart_pcpassperdiv" class="charts" width="400" height="400"></canvas>
</div>
<script type="text/javascript">
(async function() {
    
    Chart.register(ChartDataLabels);
    const labels = <?php echo json_encode($tabDivisions); ?>;
    const data = {
      labels: labels,
      datasets: [{
            data: <?php echo json_encode($tabPercentPerDiv); ?>,
            backgroundColor: <?php echo json_encode($tabDivColors); ?>,
            borderColor: <?php echo json_encode($tabDivColors); ?>,
        }]
    };
new Chart(
    document.getElementById('chart_pcpassperdiv'),
    {
    type: 'polarArea',
    data : data,
    options: {
        plugins: {
            title: {
                display: true,
                text: "<?php echo FDIR_STATS_INF28; ?>"
            },
            legend: {
                display:true
            },
            tooltip : {
                mode: 'point',
                intersect: false,
              }  ,   
            legend: {
                display:false
            }, 
            datalabels: {
              display: false, // Affiche les étiquettes de données
              color: '#878787', // Couleur du texte
              align: 'center', // Alignement horizontal
              anchor: 'center', // Alignement vertical
              font: {
                weight: 'normal', // Style de police
              },
              display: function(context) {
                return false; // Ne pas afficher les étiquettes de données
                },
            },
        },
        responsive: true,
      }
    }
);
})();
</script>